Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0046074
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Retail Modules] Web POSmajoralways2021-03-15 14:032021-07-08 08:45
ReporterjetxarriView Statuspublic 
Assigned Toranjith_qualiantech_com 
PriorityurgentResolutionfixedFixed in VersionRR21Q4
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0046074: Models with multiple queries do not accept pagination by Id

DescriptionWeb POS models like BP, Product or BPLoc can not be load using the pagination by id and instead they are being paginated using the offset.

Using the offset is creating a performance problem in the server when more than 400 full master data refreshes are executed at the same time. The main problem of using offset, it is creating a massive reading of the disk.
Steps To Reproduce-Configure a batch of 100 using preference "Masterdata models batch size". You need to have more than 100 products, however configure a lower number
-Do the login in Web POS
-Verify that the pagination is done using offset
TagsNOR, Performance
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0046077 closedrqueralta Double upper case in the where clause searching by Name, search key or UPC 
related to feature request 0046183 newRetail Hierarchy of Price Lists: development to reduce number of records M_PRODUCTPRICE 
related to feature request 0046182 newRetail Refactor/improve of Promo Engine and full / incremental refresh to remove the ProductCharacteristicsValue model 
related to defect 0046187 closedranjith_qualiantech_com WebPOS triggered unexpected Full Refresh 

-  Notes
(0126766)
marvintm (developer)
2021-03-18 07:59

I've moved this topic to feature request. This change would be useful, but it is not really a defect but a new project that would need to be developed, to add a feature that would allow us to enable pagination by id in masterdata models that are composed of more than one query.
(0127741)
jetxarri (developer)
2021-05-03 13:28

Merge requests were created

https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/merge_requests/378 [^]

https://gitlab.com/openbravo/product/pmods/org.openbravo.mobile.core/-/merge_requests/208 [^]
(0129836)
hgbot (developer)
2021-06-28 09:09

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/merge_requests/491 [^]
(0129837)
hgbot (developer)
2021-06-28 09:09

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.mobile.core/-/merge_requests/245 [^]
(0130264)
hgbot (developer)
2021-07-08 08:45

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.mobile.core [^]
Changeset: d658f7b0be24fd33a21e8459e5840933ced20374
Author: Ranjith S R <ranjith@qualiantech.com>
Date: 2021-07-08T12:08:06+05:30
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.mobile.core/-/commit/d658f7b0be24fd33a21e8459e5840933ced20374 [^]

Fixed ISSUE-46074: Added pagination by Id for MasterDataModels

---
M src/org/openbravo/mobile/core/process/JSONRowConverter.java
M src/org/openbravo/mobile/core/process/ProcessHQLQuery.java
M web/org.openbravo.mobile.core/app/model/masterdata/MasterdataController.js
---
(0130265)
hgbot (developer)
2021-07-08 08:45

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.mobile.core/-/merge_requests/245 [^]
(0130266)
hgbot (developer)
2021-07-08 08:45

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/merge_requests/491 [^]
(0130267)
hgbot (developer)
2021-07-08 08:45

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal [^]
Changeset: 4ca875704d21401a027070c9496199aa10a7b93e
Author: Ranjith S R <ranjith@qualiantech.com>
Date: 2021-07-08T11:39:23+05:30
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/commit/4ca875704d21401a027070c9496199aa10a7b93e [^]

Related to ISSUE-46074: Added Pagination by Id for MasterData Models

---
M src/org/openbravo/retail/posterminal/master/BusinessPartner.java
M src/org/openbravo/retail/posterminal/master/Discount.java
M src/org/openbravo/retail/posterminal/master/Product.java
M web/org.openbravo.retail.posterminal/app/model/masterdata/BusinessPartnerLocationModel.js
M web/org.openbravo.retail.posterminal/app/model/masterdata/BusinessPartnerModel.js
M web/org.openbravo.retail.posterminal/app/model/masterdata/ProductModel.js
M web/org.openbravo.retail.posterminal/app/model/masterdata/discount/DiscountModel.js
---

- Issue History
Date Modified Username Field Change
2021-03-15 14:03 jetxarri New Issue
2021-03-15 14:03 jetxarri Assigned To => Retail
2021-03-15 14:03 jetxarri Triggers an Emergency Pack => No
2021-03-15 16:25 rafaroda Tag Attached: NOR
2021-03-15 16:26 rafaroda Resolution time => 1616194800
2021-03-15 16:26 rafaroda Priority high => urgent
2021-03-15 17:31 rafaroda Relationship added related to 0046077
2021-03-18 07:59 marvintm Resolution time 1616194800 =>
2021-03-18 07:59 marvintm Note Added: 0126766
2021-03-18 07:59 marvintm Type defect => feature request
2021-03-30 14:07 rafaroda Relationship added related to 0046183
2021-03-30 14:10 rafaroda Relationship added related to 0046182
2021-03-30 16:53 rafaroda Relationship added related to 0046187
2021-04-14 13:12 rafaroda Tag Attached: Performance
2021-05-03 13:28 jetxarri Note Added: 0127741
2021-06-21 06:19 ranjith_qualiantech_com Assigned To Retail => ranjith_qualiantech_com
2021-06-23 07:23 ranjith_qualiantech_com Status new => scheduled
2021-06-28 09:09 hgbot Note Added: 0129836
2021-06-28 09:09 hgbot Note Added: 0129837
2021-07-08 08:45 hgbot Resolution open => fixed
2021-07-08 08:45 hgbot Status scheduled => closed
2021-07-08 08:45 hgbot Fixed in Version => RR21Q4
2021-07-08 08:45 hgbot Note Added: 0130264
2021-07-08 08:45 hgbot Note Added: 0130265
2021-07-08 08:45 hgbot Note Added: 0130266
2021-07-08 08:45 hgbot Note Added: 0130267


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker